Skip to navigation

Get VAT Rates By Country

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns VAT/GST rates for the specified country. JurisdictionTypeId is always ‘CNT’ (Country) for this API. Returns a FetchResult with Rate, DisplayName (formatted as “<rate> (<taxName>)”), and other fields. Supports filter,filter, top, skip,andskip, and orderBy query parameters.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired

Country code (e.g., “CA”, “BE”)

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: displayName, jurisCode, jurisdictionTypeId, country, taxTypeGroupId

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error